/*
 * <insert one-line description of what the program does>
 * Copyright (c) <2008-2009>, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */
#include "GUI/FormTCAgent.h"

int  	TCEngine_DownLoadCert(TCEngine *e, int i)
{
	return 0;
}

int	TCEngine_Construct(TCEngine * e)
{
	return 0;
}


int 	TCEngine_GetExpirationInfo(TCEngine * e, DateTime *d, int *i)
{
	d->Year = 2006;
	d->Month = 9;
	d->Day = 10;
	d->Hour = 0;
	d->Minute = 0;
	d->Second = 0;

	*i = 10;

	return 0;
}
int	TCEngine_GetCurrentSate(TCEngine *e)
{
//	return STATUS_NORMAL;
	return STATUS_WARNING;
}


int DeviceInfo_Construct(DeviceInfo* deviceinfo)
{
	strcpy(deviceinfo->IPAddress, "127.0.0.1");
	strcpy(deviceinfo->LocDns, "127.0.0.1");
	strcpy(deviceinfo->Proxy, "127.0.0.1");
	strcpy(deviceinfo->StudentID, "1111");
	strcpy(deviceinfo->HardwareID, "1111111111111111");
	strcpy(deviceinfo->GateWay, "127.0.0.1");
	deviceinfo->BootTick = 10;
	strcpy(deviceinfo->Wins, "127.0.0.1");

	return 0;
}
int PromptInfo_Construct(PromptInfo* promptinfo)
{
	strcpy(promptinfo->PromptDays, "1");
	strcpy(promptinfo->PromptTimes, "1");
	return 0;
}
int ServerInfo_Construct(ServerInfo* serverinfo)
{
	strcpy(serverinfo->ServerAddress, "127.0.0.1");
	strcpy(serverinfo->ProxyAddress, "127.0.0.1");
	strcpy(serverinfo->ProxyUser, "admin");
	strcpy(serverinfo->ProxyPwd, "passwd");


	return 0;
}
